<%@ Page Language="C#" ValidateRequest="false" %>

<%@ Register TagPrefix="RTE" Namespace="RTE" Assembly="RichTextEditor" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="head1" runat="server">
	<title>RichTextEditor</title>
	<link rel="stylesheet" href="../example.css" type="text/css" />

	<script runat="server">
		protected override void OnInit(EventArgs e)
		{
			base.OnInit(e);

			Editor1.SetSecurity("*", "*", "FileProviderType", typeof(LocalFileProvider).AssemblyQualifiedName);
			Editor1.SetSecurity("*", "*", "StoragePath", "/");
			Editor1.SetSecurity("*", "*", "FileProviderArg0", "download.ashx?file=");
		}		
	</script>

</head>
<body>
	<form id="form1" runat="server">
		<h1>
			Local file provider example</h1>
		<p>
			Storage file provider uses local file system on server, it is set to 'd:\myfolder' in this example.
		</p>
		<RTE:Editor runat="server" ID="Editor1" />
	</form>
</body>
</html>
